org.jfree.chart.labels

## Class StandardPieToolTipGenerator

- java.lang.Object
- - org.jfree.chart.labels.AbstractPieItemLabelGenerator
  - - org.jfree.chart.labels.StandardPieToolTipGenerator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, PieToolTipGenerator, org.jfree.util.PublicCloneable

    public class StandardPieToolTipGenerator
    extends AbstractPieItemLabelGenerator
    implements PieToolTipGenerator, java.lang.Cloneable, org.jfree.util.PublicCloneable, java.io.Serializable

A standard item label generator for plots that use data from a `PieDataset`.

For the label format, use {0} where the pie section key should be inserted, {1} for the absolute section value and {2} for the percent amount of the pie section, e.g. `"{0} = {1} ({2})"` will display as `apple = 120 (5%)`.

See Also:
  Serialized Form

### Field Summary

Fields
`static java.lang.String` `DEFAULT_SECTION_LABEL_FORMAT` Deprecated. As of 1.0.7, use `DEFAULT_TOOLTIP_FORMAT` instead.
`static java.lang.String` `DEFAULT_TOOLTIP_FORMAT` The default tooltip format.

### Constructor Summary

Constructors
Constructor and Description
`StandardPieToolTipGenerator()` Creates an item label generator using default number formatters.
`StandardPieToolTipGenerator(java.util.Locale locale)` Creates a pie tool tip generator for the specified locale, using the default format string.
`StandardPieToolTipGenerator(java.lang.String labelFormat)` Creates a pie tool tip generator for the default locale.
`StandardPieToolTipGenerator(java.lang.String labelFormat, java.util.Locale locale)` Creates a pie tool tip generator for the specified locale.
`StandardPieToolTipGenerator(java.lang.String labelFormat, java.text.NumberFormat numberFormat, java.text.NumberFormat percentFormat)` Creates an item label generator using the specified number formatters.

### Method Summary

Methods
`java.lang.Object` `clone()` Returns an independent copy of the generator.
`java.lang.String` `generateToolTip(PieDataset dataset, java.lang.Comparable key)` Generates a tool tip text item for one section in a pie chart.

### Methods inherited from class org.jfree.chart.labels.AbstractPieItemLabelGenerator

`createItemArray, equals, generateSectionLabel, getLabelFormat, getNumberFormat, getPercentFormat, hashCode`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_TOOLTIP_FORMAT

    public static final java.lang.String DEFAULT_TOOLTIP_FORMAT

The default tooltip format.

See Also:
  Constant Field Values

#### DEFAULT_SECTION_LABEL_FORMAT

    public static final java.lang.String DEFAULT_SECTION_LABEL_FORMAT

Deprecated. As of 1.0.7, use `DEFAULT_TOOLTIP_FORMAT` instead.
The default section label format.

See Also:
  Constant Field Values

### Constructor Detail

#### StandardPieToolTipGenerator

    public StandardPieToolTipGenerator()

Creates an item label generator using default number formatters.

#### StandardPieToolTipGenerator

    public StandardPieToolTipGenerator(java.util.Locale locale)

Creates a pie tool tip generator for the specified locale, using the default format string.

Parameters:
  `locale` - the locale (`null` not permitted).
Since:
  1.0.7

#### StandardPieToolTipGenerator

    public StandardPieToolTipGenerator(java.lang.String labelFormat)

Creates a pie tool tip generator for the default locale.

Parameters:
  `labelFormat` - the label format (`null` not permitted).

#### StandardPieToolTipGenerator

    public StandardPieToolTipGenerator(java.lang.String labelFormat,
                               java.util.Locale locale)

Creates a pie tool tip generator for the specified locale.

Parameters:
  `labelFormat` - the label format (`null` not permitted).
  `locale` - the locale (`null` not permitted).
Since:
  1.0.7

#### StandardPieToolTipGenerator

    public StandardPieToolTipGenerator(java.lang.String labelFormat,
                               java.text.NumberFormat numberFormat,
                               java.text.NumberFormat percentFormat)

Creates an item label generator using the specified number formatters.

Parameters:
  `labelFormat` - the label format string (`null` not permitted).
  `numberFormat` - the format object for the values (`null` not permitted).
  `percentFormat` - the format object for the percentages (`null` not permitted).

### Method Detail

#### generateToolTip

    public java.lang.String generateToolTip(PieDataset dataset,
                                   java.lang.Comparable key)

Generates a tool tip text item for one section in a pie chart.

Specified by:
  `generateToolTip` in interface `PieToolTipGenerator`
Parameters:
  `dataset` - the dataset (`null` not permitted).
  `key` - the section key (`null` not permitted).
Returns:
  The tool tip text (possibly `null`).

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Returns an independent copy of the generator.

Specified by:
  `clone` in interface `org.jfree.util.PublicCloneable`
Overrides:
  `clone` in class `AbstractPieItemLabelGenerator`
Returns:
  A clone.
Throws:
  `java.lang.CloneNotSupportedException` - should not happen.